Can't play pokemon x on citra bleeding edge


#1

When I am loading pokemon x, it is not running, instead, it is showing “failed to start the video core”

System Information

  • Operating System: Windows 10 Pro (x64) version: 1703
  • CPU: Intel Core i3 cpu 530 @ 2.93 GHz. 2 GB RAM
  • GPU: Intel® HD Graphics (core i3)
  • Citra Version (found in title bar): 0.1.463
  • Game: Pokemon X Europe
    *

Log:

.\citra-qt : [ 0.000000] Frontend citra_qt\main.cpp:BootGame:382: Citra starting…
At line:1 char:1

  • .\citra-qt 2>log.txt
  •   + CategoryInfo          : NotSpecified: ([   0.000000] F...tra starting...:String) [], RemoteException
      + FullyQualifiedErrorId : NativeCommandError
    
    

[ 0.416985] Service.APT core\hle\service\apt\apt.cpp:Init:1004: Unable to load shared font
[ 0.419302] Render.OpenGL video_core\renderer_opengl\renderer_opengl.cpp:Init:488: GL_VERSION: 1.1.0
[ 0.419333] Render.OpenGL video_core\renderer_opengl\renderer_opengl.cpp:Init:489: GL_VENDOR: Microsoft
Corporation
[ 0.419347] Render.OpenGL video_core\renderer_opengl\renderer_opengl.cpp:Init:490: GL_RENDERER: GDI Generic
[ 0.419367] Render video_core\video_core.cpp:Init:35: initialization failed !
[ 0.419383] Core core\core.cpp:Load:97: Failed to initialize system (Error 9)!
[ 0.425264] WebService web_service\web_backend.cpp:PostJson:42: Environment variables
CITRA_WEB_SERVICES_USERNAME and CITRA_WEB_SERVICES_TOKEN must be set to POST JSON


#2

Your computer is using a really old version of OpenGL - you are going to want to check that out first - using the fallback Microsoft drivers isn’t good…


#3

Your GPU drivers are not installed, but that’s not the problem here.

The actual problem is your integrated graphics only supports up to OpenGL 2.1, which means you will need to upgrade your GPU to play games on Citra.


#5

Thanks…I’ve got NVIDIA GTX 710 and the game is playable up to Intro.